config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.rxstack.new
( cd usr/lib64 ; rm -rf libregina.so )
( cd usr/lib64 ; ln -sf libregina.so.3 libregina.so )
( cd usr/lib64 ; rm -rf libregina.so.3 )
( cd usr/lib64 ; ln -sf libregina.so.3.9 libregina.so.3 )
( cd usr/lib64/regina-rexx/addons ; rm -rf libregutil.so )
( cd usr/lib64/regina-rexx/addons ; ln -sf ../3.9.5/libregutil.so libregutil.so )
( cd usr/lib64/regina-rexx/addons ; rm -rf librxtest1.so )
( cd usr/lib64/regina-rexx/addons ; ln -sf ../3.9.5/librxtest1.so librxtest1.so )
( cd usr/lib64/regina-rexx/addons ; rm -rf librxtest2.so )
( cd usr/lib64/regina-rexx/addons ; ln -sf ../3.9.5/librxtest2.so librxtest2.so )
